26.08.2019 05:58    

Travaci
Programlarımızda textsize ile yazı yüksekliği değişiyor.

Kod:

(defun c:er (/ ac ln n ob an lg) (vl-load-com)
  (if (setq ac (vla-get-ActiveDocument (vlax-get-acad-object))
            ln (ssget '((0 . "line"))))
    (progn
      (vla-startundomark ac)
      (repeat (setq n (sslength ln))
        (setq ob (vlax-ename->vla-object (ssname ln (setq n (1- n))))
              an (vla-get-angle ob) lg (vla-get-length ob)
              pt (vlax-curve-getpointatdist ob (/ lg 2))
              an (+ an (if (and (<= an 4.71239) (> an 1.5708)) 3.14159 0)))
        (entmake (list '(0 . "text") (cons 10 pt) (cons 11 pt) (cons 50 an)
          (cons 40 (getvar "textsize")) '(71 . 0) '(72 . 1) '(73 . 1)
          (cons 1 (strcat "aaaa.bbbb_L:" (rtos lg 2 2) " cm_" (vla-get-Layer ob))))) 
      )
      (vla-endundomark ac)
    )
  ) (princ)
)

Travaci (26.08.2019 06:15 GMT)

28.08.2019 08:43    

yaratk
Merhaba yazı yükselik değerini projede anlık değiştirebilsem daha güzel olurdu. çünkü büyük projelerde farklı yazı yükseklikleri kullanmak gerekiyor. Acaba kodu nereye yazmam gerek.

28.08.2019 11:11    

alumina
Alıntı
yaratk :

"textsize" sistem degiskeni degerini istediginiz yazi yuksekligine ayarlayip lispi oyle kullanin.

05.09.2019 13:47    

Travaci
Sitede böyle bir lisp mevcut değil, yapacak komutta maalesef yok.

08.09.2019 21:16    

atesersin62
Arkadaslar Merhabalar herkese,

Oncelikle yemin ediyorum bircok web sitesinden daha yararli bir website ve emegi gecen herkese cok tesekkur ediyorum.
Benim su sekilde bir lisp istegim olucak eminimki herkesinde isine yarayacak.

Bir duvar olsun ben dimension komutuyla Olcu verirken bir noktadan bir noktaya ayni zamanda da o cizginin ustune poz no vericek. Misal bir line cizgisi olsun dimension komutuyla olcu aldigimizda altta uzunluk olucak usttede mesela duvar 1 - uzunluk ( sectigimiz line uzunlugu ) olcuyu yazicak yalniz duvar 1 - uzunluk yazisini text olarak yazicak dimension ile yazi blok halde olmadan. Bu sekilde her olcu verdigimizde sirayla duvar 2- uzunluk , duvar 3-uzunluk gibi artis saglanarak bir lisp yazma sansimiz var mi acaba ?
Herkese iyi aksamlar iyi calismalar, !!!

1- Cizgileri tek tek mi dimension komutuyla seçiyorum
2- Poz numaralarini ve uzunlugu duvar 1 - uzunluk (numaralar 3 basamağa kadar çıkabilir 001-002 ....)
3- Dosyaniz uzerinde mesela 100 tane duvar pozu verdik bittikten sonra yine aynı dosya içinde farklı layer kullanarak misal kapı 001 - uzunluk diye ardışık olarak yeni pozlandırma yapabilmek istiyorum.
4- ayni cizgi boyundan onceki pozlarin icerisinde varsa yeni numara verilsin i
5- Duvar 1 -uzunluk yazisi sabit olmasin ornek ben istedigimde duvar yerine baska bir yazi yazabileyim
6-yukarıdada belirtiğim gibi dimensiyon ve duvar 001 - 250 iki komut blok olmadan yazı kısmı text olarak kullanılacak.
6- Poz numaralarınıda excele atabilirsek 2 sutun halinde 1.sutun duvar 001 2. sutun uzunluk. (olsada olur olmassa hiç problem değil yardımcı olmanız yeter onuda elle yaparız siz o kadar yardımcı oluyorsunuz SAYGILARIMLA...)

atesersin62 (14.09.2019 09:28 GMT)

16.09.2019 13:33    

yazgunesi
Alıntı
atesersin62 :


Alıntı
hmtipek :


Alıntı
Travaci :


Alıntı
Ehya :



Arkadaşlar benim vardiyam deyişti. İşe çağırdılar yani. Fazla boş vaktim pek yok.. Dolayısıyla sizlere yardımcı olmam biraz zor. Forumdaki diğer arkadaşların yardımcı olması daha uygun olur. Travaci veya Ehya arkadaşımız yardımcı olabilir size.. :-)

Kolay gelsin. Hayırlı işler.

25.09.2019 09:25    

stolzer
Arkadaşlar Merhaba,
Bana ulaşan bir çizimde;
Polyline olan kapalı bir kontür(diktörtgen ,kare, çokgen vs.) içinde 2-3 mm çapında delikler,slotlar var .Ve bu bir kontürün(dış hattın bir katmanı var malesef deliklerde aynı katmana ait) içinde 1-2 şer tane olabiliyo.
Elimizde bundan 1000 den fazla oldugunu ve her bir kontür projede farklı yerlerde.Bu kontürün içindeki bu delikleri lisp yardımıyla sildirebilir miyiz ?

Sevgi Ve muhabbetlerimle...

25.09.2019 10:22    

Travaci
Select similar yada quick select ile birçok yolla yapabilirsiniz.
Circle ları seçmek zaten sorun olmayacak, slotlarda arc ve line lardan oluştuğu için arc ları seçip çizgi tipini değiştirin. Pedit ile bütün nesneleri seçerek polyline yapın, daha sonra polyline larıda çizgi tipine göre seçtirebilirsiniz.

25.09.2019 18:02    

alumina
Alıntı
stolzer :

"LAYER ADI" yazan yerleri degistirirsiniz.
Kod:

(defun c:qs (/ ss)
  (if (setq ss (ssget '((-4 . "<or")
    (-4 . "<and") (0 . "lwpolyline") (-4 . "/=")
      (42 . 0) (8 . "LAYER ADI") (-4 . "and>")
    (-4 . "<and") (0 . "arc,circle,line")
      (8 . "LAYER ADI") (-4 . "and>")
    (-4 . "or>")))) (sssetfirst nil ss)
  ) (princ)
)

28.09.2019 17:35    

alpayelmas
arkadaşlar merhaba;
bir cvs veya txt dosyasında x,y,z ve t değerleri var bu dosyadan xyz koordinatlarına t çapında küre çizen bir lisp ihtiyacım var. yardımcı olmanız mümkünmü acaba

30.09.2019 09:28    

stolzer
Travaci ve Alumina Hocama teşekkür ederim...
Tmamdır.

10.10.2019 12:46    

makinist54
Alıntı
alpayelmas :
arkadaşlar merhaba;
bir cvs veya txt dosyasında x,y,z ve t değerleri var bu dosyadan xyz koordinatlarına t çapında küre çizen bir lisp ihtiyacım var. yardımcı olmanız mümkünmü acaba


17640-kordinata-blok-kaydetme1.xlsx
cizim dosyasında her t çapına uygun blok yapılmalı. Excel dosyasındaki blok isimleri ile uyumlu kaydedilmeli ve formulde olusan (command "-insert""1t " "_s" 1 (list 12345.678 123456.789) 0) verisi autocad dosyasına copyala ve yapıstırla aktarılmalıdır.

10.10.2019 14:00    

alpayelmas
Arkadasim sagol ugrasmissin bir seyler yapmissin ama yanlis anlamissin olayi. Alumina hocam cozdu sagolsun. Emeklerin için teşekkür ederim.

15.10.2019 10:48    

tempuser
Herkeze selam,
Text in sol üst köşesinin koordinatını nasıl bulabilirim.

15.10.2019 10:52    

Travaci
tempuser


Kod:

(nth 3 (acet-geom-textbox (entget (car (entsel))) 0.000))

Travaci (17.10.2019 05:53 GMT)

15.10.2019 10:54    

ehya
Alıntı
tempuser :
Herkeze selam,
Text in sol üst köşesinin koordinatını nasıl bulabilirim.





Kod:

(setq obj (car (entsel "\nYazı seç:")))
(vla-getboundingbox (vlax-ename->vla-object obj) 'MinP 'MaxP)
(setq MinP (vlax-safearray->list MinP)
      MaxP (vlax-safearray->list MaxP))

(setq sol_alt MinP
      sag_alt (list (car MaxP)(cadr MinP))
      sag_ust MaxP
      sol_ust (list (car MinP)(cadr MaxP)))

15.10.2019 10:58    

tempuser
Çok çabuk oldu :) ikinizede teşekkürler.

17.10.2019 08:28    

ibrahimbahce
Merhabalar,
Autocad 3D solid çizdiğim dolabın her parçasının en boy yükseklik değerlerini çıkaran ve liste halinde excel e alabileceğim bir lisp varmıdır?

17.10.2019 10:44    

ehya
Alıntı
ibrahimbahce :
Merhabalar,
Autocad 3D solid çizdiğim dolabın her parçasının en boy yükseklik değerlerini çıkaran ve liste halinde excel e alabileceğim bir lisp varmıdır?



Böyle bir lisp yoktur. Lisp ile yazılabilecek bir durum değildir. Profesyonel destek almanız gerekir.

21.10.2019 06:21    

atillaözel6666
splıne komutunu eğimli araziye uygulamak için ne yapabilirim...kolay gelsin..

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] > 90 < [95] [97] Sonraki Sayfa
Copyright © 2004-2022 SQL: 0.555 saniye - Sorgu: 98 - Ortalama: 0.00567 saniye